MODULE DISLIN
  INTERFACE

! ================================= WGINI  ===============================

      SUBROUTINE WGINI(CTYPE,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CTYPE
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGINI

      SUBROUTINE WGBAS(IP,COPT,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: COPT
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGBAS

      SUBROUTINE WGBUT(IP,CSTR,IVAL,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,IVAL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGBUT

      SUBROUTINE WGOK(IP,ID)
        IMPLICIT NONE
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGOK

      SUBROUTINE WGQUIT(IP,ID)
        IMPLICIT NONE
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGQUIT

      SUBROUTINE WGTXT(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGTXT

      SUBROUTINE WGPOP(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGPOP

      SUBROUTINE WGAPP(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGAPP

      SUBROUTINE WGLTXT(IP,CLAB,CSTR,IPER,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CLAB,CSTR
        INTEGER, INTENT (IN)  :: IP,IPER
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGLTXT

      SUBROUTINE WGFIL(IP,CLAB,CSTR,CMASK,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CLAB,CSTR,CMASK
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGFIL

      SUBROUTINE WGLAB(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGLAB

      SUBROUTINE MSGBOX(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
      END SUBROUTINE MSGBOX

      SUBROUTINE WGPBUT(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGPBUT

      SUBROUTINE WGCMD(IP,CLAB,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CLAB,CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGCMD

      SUBROUTINE WGSCL(IP,CSTR,X1,X2,XVAL,NDEZ,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,NDEZ
        REAL, INTENT (IN)     :: X1,X2,XVAL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGSCL

      SUBROUTINE WGLIS(IP,CSTR,ISEL,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,ISEL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGLIS

      SUBROUTINE WGBOX(IP,CSTR,ISEL,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,ISEL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGBOX

      SUBROUTINE WGFIN()
      END SUBROUTINE WGFIN

      SUBROUTINE DWGMSG(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE DWGMSG

      SUBROUTINE DWGBUT(CSTR,IVAL)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN OUT) :: IVAL
      END SUBROUTINE DWGBUT

      SUBROUTINE DWGFIL(CLAB,CSTR,CMASK)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CLAB,CMASK
        CHARACTER (LEN=*), INTENT (IN OUT) :: CSTR
      END SUBROUTINE DWGFIL

      SUBROUTINE DWGLIS(CLAB,CLIS,ILIS)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT(IN) :: CLAB,CLIS
        INTEGER, INTENT (IN OUT) :: ILIS
      END SUBROUTINE DWGLIS

      SUBROUTINE DWGTXT(CLAB,CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT(IN) :: CLAB
        CHARACTER (LEN=*), INTENT(IN OUT) :: CSTR
      END SUBROUTINE DWGTXT

      SUBROUTINE GWGBUT(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        INTEGER, INTENT (OUT) :: IVAL
      END SUBROUTINE GWGBUT

      SUBROUTINE GWGLIS(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        INTEGER, INTENT (OUT) :: IVAL
      END SUBROUTINE GWGLIS

      SUBROUTINE GWGBOX(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        INTEGER, INTENT (OUT) :: IVAL
      END SUBROUTINE GWGBOX

      SUBROUTINE GWGSCL(ID,XVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        REAL, INTENT (OUT) :: XVAL
      END SUBROUTINE GWGSCL

      SUBROUTINE GWGTXT(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (OUT) :: CSTR
      END SUBROUTINE GWGTXT

      SUBROUTINE GWGFIL(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (OUT) :: CSTR
      END SUBROUTINE GWGFIL

      SUBROUTINE SWGPOP (COPT)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: COPT
      END SUBROUTINE SWGPOP

      SUBROUTINE SWGBUT(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID,IVAL
      END SUBROUTINE SWGBUT

      SUBROUTINE SWGLIS(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID,IVAL
      END SUBROUTINE SWGLIS

      SUBROUTINE SWGBOX(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID,IVAL
      END SUBROUTINE SWGBOX

      SUBROUTINE SWGSCL(ID,XVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        REAL, INTENT (IN) :: XVAL
      END SUBROUTINE SWGSCL

      SUBROUTINE SWGTXT(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGTXT

      SUBROUTINE SWGFIL(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGFIL

      SUBROUTINE SWGHLP(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGHLP

      SUBROUTINE SWGPOS(NX,NY)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY
      END SUBROUTINE SWGPOS

      SUBROUTINE SWGSIZ(NX,NY)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY
      END SUBROUTINE SWGSIZ

      SUBROUTINE SWGWIN(NX,NY,NW,NH)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY,NW,NH
      END SUBROUTINE SWGWIN

      SUBROUTINE SWGOFF(NX,NY)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY
      END SUBROUTINE SWGOFF

      SUBROUTINE SWGMOD(CMOD)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CMOD
      END SUBROUTINE SWGMOD

      SUBROUTINE SWGTIT(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGTIT

      SUBROUTINE SWGFNT(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGFNT

      SUBROUTINE SWGTYP (CTYPE,CWIDG)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CTYPE,CWIDG
      END SUBROUTINE SWGTYP

      SUBROUTINE SWGJUS (CTYPE,CWIDG)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CTYPE,CWIDG
      END SUBROUTINE SWGJUS

      SUBROUTINE SWGMIX(C,CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: C,CSTR
      END SUBROUTINE SWGMIX

      SUBROUTINE SWGMRG(IVAL,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: IVAL
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGMRG

      SUBROUTINE ITMSTR(CLIS,NLIS,CSTR)
        IMPLICIT NONE    
        CHARACTER (LEN=*), INTENT (IN) :: CLIS
        CHARACTER (LEN=*), INTENT (OUT) :: CSTR
        INTEGER, INTENT (IN) :: NLIS
      END SUBROUTINE ITMSTR

      FUNCTION ITMCNT(CLIS) 
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CLIS
        INTEGER :: ITMCNT
      END FUNCTION ITMCNT

      SUBROUTINE ITMCAT(CLIS,CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN OUT) :: CLIS
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE ITMCAT

      SUBROUTINE SWGCB (ID, CALLBK, IRAY)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        INTEGER, DIMENSION (:), INTENT (IN) :: IRAY

        INTERFACE
           SUBROUTINE CALLBK (ID,IRAY)
             IMPLICIT NONE
             INTEGER, INTENT (IN) :: ID
             INTEGER, DIMENSION (:), INTENT (IN) :: IRAY
           END SUBROUTINE CALLBK
        END INTERFACE
      END SUBROUTINE SWGCB

      SUBROUTINE SWGWTH (NWTH)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NWTH
      END SUBROUTINE SWGWTH

! ================================= RTIFF  ===============================

    SUBROUTINE RTIFF(CFL)
      IMPLICIT NONE
      CHARACTER (LEN=*), INTENT (IN) :: CFL
    END SUBROUTINE RTIFF

    SUBROUTINE WTIFF(CFL)
      IMPLICIT NONE
      CHARACTER (LEN=*), INTENT (IN) :: CFL
    END SUBROUTINE WTIFF

    SUBROUTINE SYMFIL(CDV,CST)
      IMPLICIT NONE
      CHARACTER (LEN=*), INTENT (IN) :: CDV,CST
    END SUBROUTINE SYMFIL

! ================================= IMGINI ===============================

    SUBROUTINE IMGINI()
    END SUBROUTINE IMGINI

    SUBROUTINE IMGFIN()
    END SUBROUTINE IMGFIN

    SUBROUTINE RIMAGE(CFL)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CFL 
    END SUBROUTINE RIMAGE

    SUBROUTINE RPIXEL(IX,IY,N)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: IX,IY
      INTEGER, INTENT (OUT) :: N
    END SUBROUTINE RPIXEL

    SUBROUTINE RPIXLS(IRAY,IX,IY,NW,NH)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (OUT), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,NW,NH
    END SUBROUTINE RPIXLS

    SUBROUTINE RPXROW(IRAY,IX,IY,N)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (OUT), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,N
    END SUBROUTINE RPXROW

    SUBROUTINE WIMAGE(CFL)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CFL 
    END SUBROUTINE WIMAGE

    SUBROUTINE WPIXEL(IX,IY,N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IX,IY,N
    END SUBROUTINE WPIXEL

    SUBROUTINE WPIXLS(IRAY,IX,IY,NW,NH)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (IN), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,NW,NH
    END SUBROUTINE WPIXLS

    SUBROUTINE WPXROW(IRAY,IX,IY,N)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (IN), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,N
    END SUBROUTINE WPXROW

! ================================= OPENFL ===============================

    SUBROUTINE OPENFL(CSTR,NLU,IRW,ISTAT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: NLU,IRW
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE OPENFL

    SUBROUTINE CLOSFL(NLU)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU
    END SUBROUTINE CLOSFL

    SUBROUTINE READFL(NLU,IRAY,NBYT,ISTAT)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (OUT), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE READFL

    SUBROUTINE WRITFL(NLU,IRAY,NBYT,ISTAT)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (IN), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE WRITFL

    SUBROUTINE SKIPFL(NLU,NBYT,ISTAT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE SKIPFL

    SUBROUTINE POSIFL(NLU,NBYT,ISTAT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE POSIFL

    SUBROUTINE TELLFL(NLU,NBYT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU
      INTEGER, INTENT (OUT) :: NBYT
    END SUBROUTINE TELLFL

! ================================= OPNWIN ===============================

    SUBROUTINE OPNWIN(ID)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
    END SUBROUTINE OPNWIN

    SUBROUTINE CLSWIN(ID)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
    END SUBROUTINE CLSWIN

    SUBROUTINE SELWIN(ID)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
    END SUBROUTINE SELWIN

    SUBROUTINE WINID(ID)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: ID
    END SUBROUTINE WINID

    SUBROUTINE WINTIT(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE WINTIT

! ================================= FONTS ================================

    SUBROUTINE DUPLX()
    END SUBROUTINE DUPLX

    SUBROUTINE HELVE()
    END SUBROUTINE HELVE

    SUBROUTINE HELVES()
    END SUBROUTINE HELVES

    SUBROUTINE HELVET()
    END SUBROUTINE HELVET

    SUBROUTINE SERIF()
    END SUBROUTINE SERIF

    SUBROUTINE SIMPLX()
    END SUBROUTINE SIMPLX

    SUBROUTINE TRIPLX()
    END SUBROUTINE TRIPLX

! ================================= BARS ================================

    SUBROUTINE BARS(XRAY,Y1RAY,Y2RAY,N)
      IMPLICIT NONE
      REAL, INTENT (IN OUT), DIMENSION (:) :: XRAY,Y1RAY,Y2RAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE BARS

! ================================= BITSI4 ==============================

    SUBROUTINE BITSI2(NBITS,MHER,IHER,MHIN,IHIN,LOB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NBITS,IHER,IHIN,LOB
      INTEGER (KIND=SELECTED_INT_KIND(4)), INTENT (IN) :: MHER
      INTEGER (KIND=SELECTED_INT_KIND(4)), INTENT (IN OUT) :: MHIN
    END SUBROUTINE BITSI2

    SUBROUTINE BITSI4(NBITS,MHER,IHER,MHIN,IHIN,LOB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NBITS,MHER,IHER,IHIN,LOB
      INTEGER, INTENT (IN OUT) :: MHIN
    END SUBROUTINE BITSI4

    SUBROUTINE DATTIM(CDAT,CTIM)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CDAT,CTIM
    END SUBROUTINE DATTIM

    SUBROUTINE SWAPI2(IRAY,N)
      IMPLICIT NONE
      INTEGER (KIND=SELECTED_INT_KIND(4)), DIMENSION (:), &
              INTENT (IN OUT) :: IRAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SWAPI2

    SUBROUTINE SWAPI4(IRAY,N)
      IMPLICIT NONE
      INTEGER, DIMENSION (:), INTENT (IN OUT) :: IRAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SWAPI4

! ================================= COMPLX ==============================

    SUBROUTINE COMPLX()
    END SUBROUTINE COMPLX

! ================================= CONPTS ==============================

    SUBROUTINE CONPTS(X,N,Y,M,Z,ZLEV,XPTS,YPTS,MAXPTS,NRAY,MAXRAY,NLINS)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      REAL, DIMENSION (:,:), INTENT (IN) :: Z
      INTEGER, INTENT (IN) :: N,M,MAXPTS,MAXRAY
      REAL, INTENT (IN) :: ZLEV
      INTEGER, DIMENSION (:), INTENT (OUT) :: NRAY
      INTEGER, INTENT (OUT) :: NLINS
      REAL, DIMENSION (:), INTENT (OUT) :: XPTS,YPTS
    END SUBROUTINE CONPTS

! ================================= CONSHD ==============================

    SUBROUTINE CONSHD(XRAY,N,YRAY,M,ZMAT,ZLEV,NLRAY)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY,YRAY,ZLEV
      INTEGER, INTENT (IN) :: N,M,NLRAY
      REAL, DIMENSION (:,:), INTENT (IN) :: ZMAT
    END SUBROUTINE CONSHD

! ================================= CONTUR ==============================

    SUBROUTINE CONTUR(X,N,Y,M,Z,ZLEV)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N,M
      REAL, DIMENSION (:,:), INTENT (IN) :: Z
      REAL, INTENT (IN) :: ZLEV
    END SUBROUTINE CONTUR

! ================================= CURVE ===============================

    SUBROUTINE CURVE(X,Y,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CURVE

! ================================= DISINI ==============================

    SUBROUTINE DISFIN()
    END SUBROUTINE DISFIN

    SUBROUTINE DISINI()
    END SUBROUTINE DISINI

    SUBROUTINE ERASE()
    END SUBROUTINE ERASE

    SUBROUTINE METAFL(CT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CT
    END SUBROUTINE METAFL

    SUBROUTINE SENDBF()
    END SUBROUTINE SENDBF

    SUBROUTINE SENDOK()
    END SUBROUTINE SENDOK

    SUBROUTINE SETCLR(N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SETCLR

! ================================= DISALF ==============================

    SUBROUTINE DISALF()
    END SUBROUTINE DISALF

! ================================= DISBS1 ==============================

    SUBROUTINE ARCELL(NX,NY,NA,NB,ALPHA,BETA,THETA)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NA,NB
      REAL, INTENT (IN)   :: ALPHA,BETA,THETA
    END SUBROUTINE ARCELL

    SUBROUTINE AX2GRF()
    END SUBROUTINE AX2GRF

    SUBROUTINE AXCLRS(N,COPT,CAX)
      IMPLICIT NONE
      INTEGER, INTENT(IN) :: N
      CHARACTER (LEN = *) , INTENT (IN) :: COPT, CAX
    END SUBROUTINE AXCLRS

    SUBROUTINE AXENDS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *) , INTENT (IN) :: COPT, CAX
    END SUBROUTINE AXENDS

    SUBROUTINE AXGIT()
    END SUBROUTINE AXGIT

    SUBROUTINE AXSLEN(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE AXSLEN

    SUBROUTINE AXSORG(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE AXSORG

    SUBROUTINE AXSPOS(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE AXSPOS

    SUBROUTINE AXSTYP(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE AXSTYP

    SUBROUTINE BARWTH(FACT)
      IMPLICIT NONE
      REAL, INTENT (IN) :: FACT
    END SUBROUTINE BARWTH

    SUBROUTINE BASALF(CALPH)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CALPH
    END SUBROUTINE BASALF

    SUBROUTINE BEZIER(XRAY,YRAY,NRAY,X,Y,N)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: NRAY,N
      REAL, DIMENSION (:), INTENT (IN)  :: XRAY, YRAY
      REAL, DIMENSION (:), INTENT (OUT) :: X, Y
    END SUBROUTINE BEZIER

    SUBROUTINE BOX2D()
    END SUBROUTINE BOX2D

    SUBROUTINE BTRINI()
    END SUBROUTINE BTRINI

    SUBROUTINE CENTER()
    END SUBROUTINE CENTER

    SUBROUTINE CHAANG(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE CHAANG

    SUBROUTINE CHNATT()
    END SUBROUTINE CHNATT

    SUBROUTINE CHASPC(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE CHASPC

    SUBROUTINE CHAWTH(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE CHAWTH

    SUBROUTINE CHNCRV(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE CHNCRV

    SUBROUTINE CHNDOT()
    END SUBROUTINE CHNDOT

    SUBROUTINE CHNDSH()
    END SUBROUTINE CHNDSH

    SUBROUTINE CIRCLE(NX,NY,NR)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR
    END SUBROUTINE CIRCLE

    SUBROUTINE CIRCSP(N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CIRCSP

    SUBROUTINE CLPBOR(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE CLPBOR

    SUBROUTINE CLPMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE CLPMOD

    SUBROUTINE CLPWIN(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
    END SUBROUTINE CLPWIN

    SUBROUTINE CLRCYC(I,ICLR)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,ICLR
    END SUBROUTINE CLRCYC

    SUBROUTINE CLRMOD(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE CLRMOD

    SUBROUTINE COLOR(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE COLOR

    SUBROUTINE COMGOT()
      IMPLICIT NONE
    END SUBROUTINE COMGOT

    SUBROUTINE CONNPT(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE CONNPT

    SUBROUTINE CROSS()
    END SUBROUTINE CROSS

    SUBROUTINE DASH()
    END SUBROUTINE DASH

    SUBROUTINE DASHL()
    END SUBROUTINE DASHL

    SUBROUTINE DASHM()
    END SUBROUTINE DASHM

    SUBROUTINE DAXGIT(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE DAXGIT

    SUBROUTINE DCROSS(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE DCROSS

    SUBROUTINE DIGITS(I,CAX)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE DIGITS

    SUBROUTINE LABDIG(I,CAX)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE LABDIG

    SUBROUTINE DNUMQQ(X,NDEZ,NX,NY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ,NX,NY
    END SUBROUTINE DNUMQQ

    SUBROUTINE DOT()
    END SUBROUTINE DOT

    SUBROUTINE DOTL() 
    END SUBROUTINE DOTL

    SUBROUTINE ELLIPS(NX,NY,NA,NB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NA,NB
    END SUBROUTINE ELLIPS

    SUBROUTINE ELPSLN(NX,NY,NA,NB,A,B,T,ILIN,IOPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NA,NB,ILIN,IOPT
      REAL, INTENT (IN) :: A,B,T
    END SUBROUTINE ELPSLN

    SUBROUTINE ERRDEV(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE ERRDEV

    SUBROUTINE ERRFIL(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE ERRFIL

    SUBROUTINE EUSHFT(CALPH,CSFT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CALPH,CSFT
    END SUBROUTINE EUSHFT

    SUBROUTINE FCHA(X,NDEZ,NL,CSTR)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ
      INTEGER, INTENT (OUT) :: NL
      CHARACTER (LEN = *), INTENT (OUT) :: CSTR
    END SUBROUTINE FCHA

    SUBROUTINE FIELD(XRAY,YRAY,URAY,VRAY,N,IVEC)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY,YRAY,URAY,VRAY
      INTEGER, INTENT (IN) :: N,IVEC
    END SUBROUTINE FIELD

    SUBROUTINE FLEN(X,NDEZ,NX)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ
      INTEGER, INTENT (OUT) :: NX
    END SUBROUTINE FLEN

    SUBROUTINE FILBOX(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
    END SUBROUTINE FILBOX

    SUBROUTINE FILCLR(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE FILCLR

    SUBROUTINE FILMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE FILMOD

    SUBROUTINE FIXSPC(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE FIXSPC

    SUBROUTINE FRAME(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN):: I
    END SUBROUTINE FRAME

    SUBROUTINE FRMESS(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN):: I
    END SUBROUTINE FRMESS

    SUBROUTINE GAPCRV(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE GAPCRV

    SUBROUTINE GAXSOP(CAX,N,I,J,K)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CAX
      INTEGER, INTENT (IN)  :: N
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GAXSOP

    SUBROUTINE GETANG(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETANG

    SUBROUTINE GETBPP(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETBPP

    SUBROUTINE GETAXC(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETAXC

    SUBROUTINE GETCEN(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETCEN

    SUBROUTINE GETCLP(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: NX,NY,NW,NH
    END SUBROUTINE GETCLP

    SUBROUTINE GETCLR(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETCLR

    SUBROUTINE GETDIG(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETDIG

    SUBROUTINE GETDSP(CDSP)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CDSP
    END SUBROUTINE GETDSP

    SUBROUTINE GETFIL(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CSTR
    END SUBROUTINE GETFIL

    SUBROUTINE GETGRC(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETGRC

    SUBROUTINE GETGRF(A,E,OR,STEP,COPT)
      IMPLICIT NONE
      REAL, INTENT (OUT) :: A,E,OR,STEP
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE GETGRF

    SUBROUTINE GETHGT(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETHGT

    SUBROUTINE GETLAB(C1,C2,C3)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: C1,C2,C3
    END SUBROUTINE GETLAB

    SUBROUTINE GETLEN(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETLEN

    SUBROUTINE GETLEV(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETLEV

    SUBROUTINE GETLIN(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETLIN

    SUBROUTINE GETMFL(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CSTR
    END SUBROUTINE GETMFL

    SUBROUTINE GETOR(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETOR

    SUBROUTINE GETPAG(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETPAG

    SUBROUTINE GETPAT(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETPAT

    SUBROUTINE GETPOS(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETPOS

    SUBROUTINE GETRGB(XR,XG,XB)
      IMPLICIT NONE
      REAL, INTENT (OUT) :: XR,XG,XB
    END SUBROUTINE GETRGB

    SUBROUTINE GETSCL(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETSCL

    SUBROUTINE GETSP1(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETSP1

    SUBROUTINE GETSP2(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETSP2

    SUBROUTINE GETSYM(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETSYM

    SUBROUTINE GETTCL(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETTCL

    SUBROUTINE GETTIC(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETTIC

    SUBROUTINE GETTYP(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETTYP

    SUBROUTINE GETUNI(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETUNI

    SUBROUTINE GETVK(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETVK

    SUBROUTINE GETWIN(IX,IY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: IX,IY,NW,NH
    END SUBROUTINE GETWIN

    SUBROUTINE GETXID (IVAL, COPT)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: IVAL
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE GETXID

    SUBROUTINE GNUSTR(CT,NL,CMOD)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NL
      CHARACTER (LEN = *), INTENT (IN)  :: CMOD
      CHARACTER (LEN = *), INTENT (OUT) :: CT
    END SUBROUTINE GNUSTR

    SUBROUTINE GRACE(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE GRACE

    SUBROUTINE GRDPOL(IGRD,JGRD)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IGRD,JGRD
    END SUBROUTINE GRDPOL

    SUBROUTINE GRID(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE GRID

    SUBROUTINE HIDLIN(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE HIDLIN

    SUBROUTINE HNAME(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE HNAME

    SUBROUTINE HSYMBL(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE HSYMBL

    SUBROUTINE HTITLE(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE HTITLE

    SUBROUTINE HWFONT()
    END SUBROUTINE HWFONT

    SUBROUTINE HWORIG(NX,NY)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY
    END SUBROUTINE HWORIG

    SUBROUTINE HWPAGE(NXP,NYP)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NXP,NYP
    END SUBROUTINE HWPAGE

    SUBROUTINE IANGLE(N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE IANGLE

    SUBROUTINE INCCRV(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE INCCRV

    SUBROUTINE INCFIL(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE INCFIL

    SUBROUTINE INCMRK(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE INCMRK

    SUBROUTINE INITYP()
    END SUBROUTINE INITYP

    SUBROUTINE INTAX()
    END SUBROUTINE INTAX

    SUBROUTINE INTCHA(NUM,N,CNUM)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: NUM
      INTEGER, INTENT (OUT) :: N
      CHARACTER (LEN = *), INTENT (OUT) :: CNUM
    END SUBROUTINE INTCHA

    SUBROUTINE INTLEN(NM,NLAEN)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: NM
      INTEGER, INTENT (OUT) :: NLAEN
    END SUBROUTINE INTLEN

    SUBROUTINE KDARC(NX,NY,NR,NR1,ALPHA,BETA,NCLR)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR,NR1,NCLR
      REAL, INTENT (IN) :: ALPHA,BETA
    END SUBROUTINE KDARC

    SUBROUTINE LABCLR(ICLR,COPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ICLR
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LABCLR

    SUBROUTINE LABDIS(I,CAX)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE LABDIS

    SUBROUTINE LABELS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABELS

    SUBROUTINE LABJUS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABJUS

    SUBROUTINE LABPOS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABPOS

    SUBROUTINE LABTYP(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABTYP

    SUBROUTINE LEGCLR()
    END SUBROUTINE LEGCLR

    SUBROUTINE LEGOPT(X1,X2,X3)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X1,X2,X3
    END SUBROUTINE LEGOPT

    SUBROUTINE LEGPAT(ILIN,ITHK,ISYM,ICLR,IPAT,I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ILIN,ITHK,ISYM,ICLR,IPAT,I
    END SUBROUTINE LEGPAT

    SUBROUTINE LEGPOS(NX,NY)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY
    END SUBROUTINE LEGPOS

    SUBROUTINE LEGTIT(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE LEGTIT

    SUBROUTINE LFTTIT()
    END SUBROUTINE LFTTIT

    SUBROUTINE LINCYC(I,ILIN)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,ILIN
    END SUBROUTINE LINCYC

    SUBROUTINE LINESP(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE LINESP

    SUBROUTINE LINWID(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE LINWID

    SUBROUTINE LNCAP(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LNCAP

    SUBROUTINE LNJOIN(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LNJOIN

    SUBROUTINE LNMLT(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE LNMLT

    SUBROUTINE LOGTIC(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LOGTIC

    SUBROUTINE LSECHK(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LSECHK

! ================================= DISBS2 ==============================

    SUBROUTINE MARKER(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE MARKER

    SUBROUTINE MIXALF()
    END SUBROUTINE MIXALF

    SUBROUTINE MIXLEG()
    END SUBROUTINE MIXLEG

    SUBROUTINE MOMENT(XRAY,N,COPT,XV)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY
      INTEGER, INTENT (IN) :: N
      CHARACTER (LEN = *), INTENT (IN) :: COPT
      REAL, INTENT (OUT) :: XV
    END SUBROUTINE MOMENT

    SUBROUTINE MYLAB(CSTR,I,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR,CAX
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE MYLAB

    SUBROUTINE MYLINE(NRAY,N)
      IMPLICIT NONE
      INTEGER, DIMENSION (:), INTENT (IN) :: NRAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE MYLINE

    SUBROUTINE MYPAT(IANG,ITYPE,IDENS,ICROSS)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IANG,ITYPE,IDENS,ICROSS
    END SUBROUTINE MYPAT

    SUBROUTINE NAMDIS(I,CAX)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE NAMDIS

    SUBROUTINE NAME(CNAM,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CNAM,CAX
    END SUBROUTINE NAME

    SUBROUTINE NAMJUS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE NAMJUS

    SUBROUTINE NEWPAG()
    END SUBROUTINE NEWPAG

    SUBROUTINE NEWMIX()
    END SUBROUTINE NEWMIX

    FUNCTION NLNUMB(X,NDEZ)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ
      INTEGER :: NLNUMB
    END FUNCTION NLNUMB

    SUBROUTINE NOARLN()
    END SUBROUTINE NOARLN

    SUBROUTINE NOCHEK()
    END SUBROUTINE NOCHEK

    SUBROUTINE NOCLIP()
    END SUBROUTINE NOCLIP

    SUBROUTINE NOGRAF()
    END SUBROUTINE NOGRAF

    SUBROUTINE NOLINE(CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE NOLINE

    SUBROUTINE NUMBER(X,NDEZ,NX,NY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ,NX,NY
    END SUBROUTINE NUMBER

    SUBROUTINE NUMFMT(CT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CT
    END SUBROUTINE NUMFMT

    SUBROUTINE NUMODE(CDEC,CGRP,CPOS,CSPC)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CDEC,CGRP,CPOS,CSPC
    END SUBROUTINE NUMODE

    SUBROUTINE ORIGIN(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE ORIGIN

    SUBROUTINE PAGE(NXP,NYP)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NXP,NYP
    END SUBROUTINE PAGE

    SUBROUTINE PAGERA()
    END SUBROUTINE PAGERA

    SUBROUTINE PAGHDR(C1,C2,IOPT,IDIR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: C1,C2
      INTEGER, INTENT (IN) :: IOPT,IDIR
    END SUBROUTINE PAGHDR

    SUBROUTINE PAGMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE PAGMOD

    SUBROUTINE PATCYC(I,IPAT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,IPAT
    END SUBROUTINE PATCYC

    SUBROUTINE PENWID(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE PENWID

    SUBROUTINE PIE(NX,NY,NR,A,B)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR
      REAL, INTENT (IN) :: A,B
    END SUBROUTINE PIE

    SUBROUTINE POLCRV(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE POLCRV

    SUBROUTINE PSFONT(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE PSFONT

    SUBROUTINE QQBL08(X,Y,N,OFF)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N
      REAL, INTENT (IN) :: OFF
    END SUBROUTINE QQBL08

    SUBROUTINE QQCUT1(X1,Y1,X2,Y2,A,B,XS,YS,IS)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X1,Y1,X2,Y2,A,B
      REAL, INTENT (OUT) :: XS,YS
      INTEGER, INTENT (OUT) :: IS
    END SUBROUTINE QQCUT1

    SUBROUTINE RECTAN(NX,NY,NB,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NB,NH
    END SUBROUTINE RECTAN

    SUBROUTINE RESET(CW)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CW
    END SUBROUTINE RESET

    SUBROUTINE RGTLAB()
    END SUBROUTINE RGTLAB

    SUBROUTINE RLARC(XM,YM,A,B,ALPHA,BETA,THETA)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XM,YM,A,B,ALPHA,BETA,THETA
    END SUBROUTINE RLARC

    SUBROUTINE RLAREA(X,Y,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE RLAREA

    SUBROUTINE RLCIRC(XM,YM,R)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XM,YM,R
    END SUBROUTINE RLCIRC

    SUBROUTINE RLELL(XM,YM,A,B)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XM,YM,A,B
    END SUBROUTINE RLELL

    SUBROUTINE RLINE(X,Y,U,V)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,U,V
    END SUBROUTINE RLINE

    SUBROUTINE RLMESS(CSTR,X,Y)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE RLMESS

    SUBROUTINE RLNUMB(Z,NDEZ,X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: Z,X,Y
      INTEGER, INTENT (IN) :: NDEZ
    END SUBROUTINE RLNUMB

    SUBROUTINE RLPIE(XM,YM,R,ALPHA,BETA)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XM,YM,R,ALPHA,BETA
    END SUBROUTINE RLPIE

    SUBROUTINE RLREC(X,Y,XB,XH)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,XB,XH
    END SUBROUTINE RLREC

    SUBROUTINE RLRND(X,Y,XB,XH,IRND)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,XB,XH
      INTEGER, INTENT (IN) :: IRND
    END SUBROUTINE RLRND

    SUBROUTINE RLSEC(XM,YM,R1,R,BETA,ALPHA,NCOL)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XM,YM,R1,R,BETA,ALPHA
      INTEGER, INTENT (IN) :: NCOL
    END SUBROUTINE RLSEC

    SUBROUTINE RLSYMB(I,X,Y)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE RLSYMB

    SUBROUTINE RLVEC(X,Y,U,V,IVEC)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,U,V
      INTEGER, INTENT (IN) :: IVEC
    END SUBROUTINE RLVEC

    SUBROUTINE RNDREC(NX,NY,NB,NH,IRND)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NB,NH,IRND
    END SUBROUTINE RNDREC

    SUBROUTINE RVYNAM()
    END SUBROUTINE RVYNAM

    SUBROUTINE SCALE(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE SCALE

    SUBROUTINE AXSSCL(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE AXSSCL

    SUBROUTINE SCLFAC(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE SCLFAC

    SUBROUTINE SCLMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE SCLMOD 

    SUBROUTINE SCMPLX()
    END SUBROUTINE SCMPLX

    SUBROUTINE SCRMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE SCRMOD

    SUBROUTINE SECTOR(NX,NY,NR1,NR2,ALPHA,BETA,NCOL)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR1,NR2,NCOL
      REAL, INTENT (IN) :: ALPHA,BETA
    END SUBROUTINE SECTOR

    SUBROUTINE SETBAS(F)
      IMPLICIT NONE
      REAL, INTENT (IN) :: F
    END SUBROUTINE SETBAS

    SUBROUTINE SETEXP(F)
      IMPLICIT NONE
      REAL, INTENT (IN) :: F
    END SUBROUTINE SETEXP

    SUBROUTINE SETFIL(CT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CT
    END SUBROUTINE SETFIL

    SUBROUTINE SETGRF(C1,C2,C3,C4)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: C1,C2,C3,C4
    END SUBROUTINE SETGRF

    SUBROUTINE SETMIX(C,CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: C,CSTR
    END SUBROUTINE SETMIX

    SUBROUTINE NEGLOG(E)
      IMPLICIT NONE
      REAL, INTENT (IN) :: E
    END SUBROUTINE NEGLOG

    SUBROUTINE SETPAG(CT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CT
    END SUBROUTINE SETPAG

    SUBROUTINE SETRGB(XR,XG,XB)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XR,XG,XB
    END SUBROUTINE SETRGB

    SUBROUTINE SETSCL(XRAY,N,CSTR)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY
      INTEGER, INTENT (IN) :: N
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE SETSCL

    SUBROUTINE SETXID(I,COPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE SETXID

    SUBROUTINE SHDCHA()
    END SUBROUTINE SHDCHA

    SUBROUTINE SHDCRV(X1,Y1,N1,X2,Y2,N2)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X1,Y1,X2,Y2
      INTEGER, INTENT (IN) :: N1,N2
    END SUBROUTINE SHDCRV

    SUBROUTINE SHLCIR(NX,NY,NR)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR
    END SUBROUTINE SHLCIR

    SUBROUTINE SHLDEL(ID)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
    END SUBROUTINE SHLDEL

    SUBROUTINE SHLELL(NX,NY,NA,NB,ANG)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NA,NB
      REAL, INTENT (IN) :: ANG
    END SUBROUTINE SHLELL

    SUBROUTINE SHLIND(ID)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: ID
    END SUBROUTINE SHLIND

    SUBROUTINE SHLPIE(NX,NY,NR,ALPH,BETA)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR
      REAL, INTENT (IN) :: ALPH,BETA
    END SUBROUTINE SHLPIE

    SUBROUTINE SHLPOL(NXRAY,NYRAY,N)
      IMPLICIT NONE
      INTEGER, DIMENSION (:), INTENT (IN) :: NXRAY,NYRAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SHLPOL

    SUBROUTINE SHLVIS(ID,CVIS)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
      CHARACTER (LEN = *), INTENT (IN) :: CVIS
    END SUBROUTINE SHLVIS

    SUBROUTINE SMXALF(CALPH,CA,CB,N)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CALPH,CA,CB
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SMXALF

    SUBROUTINE SOLID()
    END SUBROUTINE SOLID

    SUBROUTINE SORTR1(X,N,COPT)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN OUT) :: X
      INTEGER, INTENT (IN) :: N
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE SORTR1

    SUBROUTINE SPLINE(X,Y,N,XRAY,YRAY,NDAT)
      IMPLICIT NONE
      REAL, DIMENSION (:),INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N
      REAL, DIMENSION (:),INTENT (OUT) :: XRAY,YRAY
      INTEGER, INTENT (OUT) :: NDAT
    END SUBROUTINE SPLINE

    SUBROUTINE SPLMOD(K,N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: K,N
    END SUBROUTINE SPLMOD

    SUBROUTINE STRTPT(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE STRTPT

    SUBROUTINE SWAPXY(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE SWAPXY

    SUBROUTINE SYMBOL(I,NX,NY)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,NX,NY
    END SUBROUTINE SYMBOL

    SUBROUTINE SYMROT(XROT)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XROT
    END SUBROUTINE SYMROT

    SUBROUTINE THKCRV(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE THKCRV

    SUBROUTINE THKLIN(IX,IY,IU,IV)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IX,IY,IU,IV
    END SUBROUTINE THKLIN

    SUBROUTINE THKLNX(X,Y,U,V)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,U,V
    END SUBROUTINE THKLNX

    SUBROUTINE TICKS(I,CAX)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE TICKS

    SUBROUTINE TICLEN(I1,I2)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I1,I2
    END SUBROUTINE TICLEN

    SUBROUTINE TICPOS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE TICPOS

    SUBROUTINE TIFORG(NX,NY)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY
    END SUBROUTINE TIFORG

    SUBROUTINE TIFWIN(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
    END SUBROUTINE TIFWIN

    SUBROUTINE TIMOPT()
    END SUBROUTINE TIMOPT

    SUBROUTINE TITJUS(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE TITJUS

    SUBROUTINE TITLE()
    END SUBROUTINE TITLE

    SUBROUTINE TITLIN(CSTR,J)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: J
    END SUBROUTINE TITLIN

    SUBROUTINE TITPOS(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE TITPOS

    SUBROUTINE TRFCO1(XRAY,N,CFROM,CTO)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN OUT) :: XRAY
      INTEGER, INTENT (IN) :: N
      CHARACTER (LEN = *), INTENT(IN) :: CFROM, CTO
    END SUBROUTINE TRFCO1

    SUBROUTINE TRFCO2(XRAY,YRAY,N,CFROM,CTO)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN OUT) :: XRAY,YRAY
      INTEGER, INTENT (IN) :: N
      CHARACTER (LEN = *), INTENT(IN) :: CFROM, CTO
    END SUBROUTINE TRFCO2

    SUBROUTINE TRFCO3(XRAY,YRAY,ZRAY,N,CFROM,CTO)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN OUT) :: XRAY,YRAY,ZRAY
      INTEGER, INTENT (IN) :: N
      CHARACTER (LEN = *), INTENT(IN) :: CFROM, CTO
    END SUBROUTINE TRFCO3

    SUBROUTINE TRFRES()
    END SUBROUTINE TRFRES

    SUBROUTINE TRFROT(XANG,NX,NY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XANG
      INTEGER, INTENT (IN) :: NX,NY
    END SUBROUTINE TRFROT

    SUBROUTINE TRFSCL(XSCL,YSCL)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XSCL,YSCL
    END SUBROUTINE TRFSCL

    SUBROUTINE TRFSHF(NXSHF,NYSHF)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NXSHF,NYSHF
    END SUBROUTINE TRFSHF

    FUNCTION TRMLEN(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      REAL :: TRMLEN
    END FUNCTION TRMLEN

    SUBROUTINE TXTJUS(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE TXTJUS

    SUBROUTINE UNIT(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE UNIT

    SUBROUTINE UPSTR(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN OUT) :: CSTR
    END SUBROUTINE UPSTR

    SUBROUTINE VECTOR(IX1,IY1,IX2,IY2,IVEC)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IX1,IY1,IX2,IY2,IVEC
    END SUBROUTINE VECTOR

    SUBROUTINE VKYTIT(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE VKYTIT

    SUBROUTINE WINAPP(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE WINAPP

    SUBROUTINE WINFNT(CFNT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CFNT
    END SUBROUTINE WINFNT

    SUBROUTINE WINMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE WINMOD

    SUBROUTINE WINDOW(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
    END SUBROUTINE WINDOW

    SUBROUTINE WINSIZ(NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NW,NH
    END SUBROUTINE WINSIZ

    SUBROUTINE X11MOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE X11MOD

    SUBROUTINE XAXGIT()
    END SUBROUTINE XAXGIT

    SUBROUTINE XAXIS(A,B,OR,STEP,IL,CSTR,IT,IX,IY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: IL,IT,IX,IY
    END SUBROUTINE XAXIS

    SUBROUTINE XAXLG(A,B,OR,STEP,IL,CSTR,IT,IX,IY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: IL,IT,IX,IY
    END SUBROUTINE XAXLG

    SUBROUTINE XCROSS()
    END SUBROUTINE XCROSS

    FUNCTION XINVRS(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      REAL :: XINVRS
    END FUNCTION XINVRS

    SUBROUTINE XPOLYL(XRAY,YRAY,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY,YRAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE XPOLYL

    FUNCTION XPOSN(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      REAL :: XPOSN
    END FUNCTION XPOSN

    SUBROUTINE YAXGIT()
    END SUBROUTINE YAXGIT

    SUBROUTINE YAXIS(A,B,OR,STEP,IL,CSTR,IT,IX,IY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: IL,IT,IX,IY
    END SUBROUTINE YAXIS

    SUBROUTINE YAXLG(A,B,OR,STEP,IL,CSTR,IT,IX,IY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: IL,IT,IX,IY
    END SUBROUTINE YAXLG

    SUBROUTINE YCROSS()
    END SUBROUTINE YCROSS

    FUNCTION YINVRS(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      REAL :: YINVRS
    END FUNCTION YINVRS

    FUNCTION YPOSN(Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: Y
      REAL :: YPOSN
    END FUNCTION YPOSN

! ================================= DISEXT ==============================

    SUBROUTINE AUTRES(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE AUTRES

    SUBROUTINE AX3LEN(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J,K
    END SUBROUTINE AX3LEN

    SUBROUTINE AXIS3D(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
    END SUBROUTINE AXIS3D

    SUBROUTINE BARGRP(N,XGAP)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
      REAL, INTENT (IN) :: XGAP
    END SUBROUTINE BARGRP

    SUBROUTINE BARPOS(CPOS)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CPOS 
    END SUBROUTINE BARPOS

    SUBROUTINE BARTYP(CTYP)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CTYP
    END SUBROUTINE BARTYP

    SUBROUTINE BOX3D()
    END SUBROUTINE BOX3D

    SUBROUTINE CHABOX()
    END SUBROUTINE CHABOX

    SUBROUTINE CHNPIE(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE CHNPIE

    SUBROUTINE CKPKTX(X,ICHK)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (OUT) :: ICHK
    END SUBROUTINE CKPKTX

    SUBROUTINE CKPKTY(Y,ICHK)
      IMPLICIT NONE
      REAL, INTENT (IN) :: Y
      INTEGER, INTENT (OUT) :: ICHK
    END SUBROUTINE CKPKTY

    SUBROUTINE CLIP3D(CTYP)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CTYP
    END SUBROUTINE CLIP3D

    SUBROUTINE COLRAN(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE COLRAN

    SUBROUTINE COLRAY(Z,NCOL,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: Z
      INTEGER, DIMENSION (:), INTENT (OUT) :: NCOL
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE COLRAY

    SUBROUTINE CONANG(XANG)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XANG
    END SUBROUTINE CONANG

    SUBROUTINE CONCRV(X,Y,N,ZLEV)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N
      REAL, INTENT (IN) :: ZLEV
    END SUBROUTINE CONCRV

    SUBROUTINE CONGAP(XGAP)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XGAP
    END SUBROUTINE CONGAP

    SUBROUTINE CONLAB(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE CONLAB

    SUBROUTINE CONMAT(ZMAT,N,M,ZLEV)
      IMPLICIT NONE
      REAL, DIMENSION (:,:), INTENT (IN) :: ZMAT
      INTEGER, INTENT (IN) :: N,M
      REAL, INTENT (IN) :: ZLEV
    END SUBROUTINE CONMAT

    SUBROUTINE CONMOD (XF1,XF2)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XF1,XF2
    END SUBROUTINE CONMOD

    SUBROUTINE CRVMAT(ZMAT,IXDIM,IYDIM,IXPTS,IYPTS)
      IMPLICIT NONE
      REAL, DIMENSION (:,:), INTENT (IN) :: ZMAT
      INTEGER, INTENT (IN) :: IXDIM,IYDIM,IXPTS,IYPTS
    END SUBROUTINE CRVMAT

    SUBROUTINE CURV3D(X,Y,Z,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y,Z
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CURV3D

    SUBROUTINE CURVE3(X,Y,Z,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y,Z
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CURVE3

    SUBROUTINE CURVMP(X,Y,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CURVMP

    SUBROUTINE CURVX3(X,Y,Z,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Z
      REAL, INTENT (IN) :: Y 
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CURVX3

    SUBROUTINE CURVY3(X,Y,Z,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: Y,Z
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CURVY3

    SUBROUTINE ERRBAR(X,Y,ERR1,ERR2,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y,ERR1,ERR2
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE ERRBAR

    SUBROUTINE EXPZLB(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE EXPZLB

    SUBROUTINE FLAB3D()
    END SUBROUTINE FLAB3D

    SUBROUTINE GETIND(I,XR,XG,XB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      REAL, INTENT (OUT) :: XR,XG,XB
    END SUBROUTINE GETIND

    SUBROUTINE GETMAT(X,Y,Z,N,ZMAT,NX,NY,ZVAL,IMAT,WMAT)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y,Z
      INTEGER, INTENT (IN) :: N,NX,NY
      REAL, DIMENSION (:,:), INTENT (OUT) :: ZMAT
      REAL, INTENT (IN) :: ZVAL
      INTEGER, DIMENSION (:,:), INTENT (IN OUT) :: IMAT
      REAL, DIMENSION (:,:), INTENT (IN OUT) :: WMAT
    END SUBROUTINE GETMAT

    SUBROUTINE GETRAN(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETRAN

    SUBROUTINE GETRES(I,J) 
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETRES

    SUBROUTINE GETVLT(CTAB)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CTAB
    END SUBROUTINE GETVLT

    SUBROUTINE GETWID(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETWID

    SUBROUTINE GRID3D(IGRID,JGRID,COPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IGRID,JGRID
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE GRID3D

    SUBROUTINE GRIDMP(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE GRIDMP

    SUBROUTINE HISTOG(XRAY,N,X,Y,M)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY
      INTEGER, INTENT (IN) :: N
      REAL, DIMENSION (:), INTENT (OUT) :: X,Y
      INTEGER, INTENT (OUT) :: M
    END SUBROUTINE HISTOG

    SUBROUTINE HSVRGB(XH,XS,XV,R,G,B)
      IMPLICIT NONE
      REAL, INTENT (IN)  :: XH,XS,XV
      REAL, INTENT (OUT) :: R,G,B
    END SUBROUTINE HSVRGB

    SUBROUTINE MAP(CT,COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CT,COPT
    END SUBROUTINE MAP

    SUBROUTINE MAPBAS(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE MAPBAS

    SUBROUTINE MAPDTA(IFIL)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IFIL
    END SUBROUTINE MAPDTA

    SUBROUTINE MAPFIL(CT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CT
    END SUBROUTINE MAPFIL

    SUBROUTINE MAPLEV(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE MAPLEV

    SUBROUTINE MAPMOD(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE MAPMOD

    SUBROUTINE MAPPOL(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE MAPPOL

    SUBROUTINE MAPREF(YLW,YUP)
      IMPLICIT NONE
      REAL, INTENT (IN) :: YLW,YUP
    END SUBROUTINE MAPREF

    SUBROUTINE MAPSPH(XRAD)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XRAD
    END SUBROUTINE MAPSPH

    SUBROUTINE MDFMAT(I,J,X)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
      REAL, INTENT (IN) :: X
    END SUBROUTINE MDFMAT

    SUBROUTINE MYPIE(ISEG,XDAT,XPER,NRAD,NOFF,ANGLE,NVBOX,IDRW,IANN)
      IMPLICIT NONE
      INTEGER, INTENT (IN OUT) :: ISEG,NRAD,NOFF,NVBOX,IDRW,IANN
      REAL, INTENT (IN OUT)    :: XDAT,XPER,ANGLE
    END SUBROUTINE MYPIE

    SUBROUTINE MYVLT(XR,XG,XB,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XR,XG,XB
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE MYVLT

    FUNCTION NCOLLG(Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: Z
      INTEGER :: NCOLLG
    END FUNCTION NCOLLG    

    FUNCTION NCOLOR(Z) 
      IMPLICIT NONE
      REAL, INTENT (IN) :: Z
      INTEGER :: NCOLOR
    END FUNCTION NCOLOR

    SUBROUTINE NOBAR()
    END SUBROUTINE NOBAR

    SUBROUTINE NOBGD()
    END SUBROUTINE NOBGD

    SUBROUTINE NOHIDE()
    END SUBROUTINE NOHIDE

    SUBROUTINE PIEEXP()
    END SUBROUTINE PIEEXP

    SUBROUTINE PIELAB(CDAT,CSTR)
      IMPLICIT NONE
      CHARACTER(LEN = *), INTENT (IN) :: CDAT,CSTR
    END SUBROUTINE PIELAB

    SUBROUTINE PIEVEC(IVEC,COPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IVEC
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE PIEVEC

    SUBROUTINE POINT(NX,NY,NB,NH,NCOL)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NB,NH,NCOL
    END SUBROUTINE POINT

    SUBROUTINE POINTX(X,Y,NB,NH,NCOL)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: NB,NH,NCOL
    END SUBROUTINE POINTX

    SUBROUTINE PROJCT(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE PROJCT

    SUBROUTINE RECFLL(NX,NY,NB,NH,NCOL)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NB,NH,NCOL
    END SUBROUTINE RECFLL

    SUBROUTINE REL3PT(X,Y,Z,XP,YP)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL, INTENT (OUT) :: XP,YP
    END SUBROUTINE REL3PT

    SUBROUTINE RGBHSV(R,G,B,XH,XS,XV)
      IMPLICIT NONE
      REAL, INTENT (IN) :: R,G,B
      REAL, INTENT (OUT) :: XH,XS,XV
    END SUBROUTINE RGBHSV

    SUBROUTINE RLPOIN(X,Y,NB,NH,NCOL)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: NB,NH,NCOL
    END SUBROUTINE RLPOIN

    SUBROUTINE SETIND(I,XR,XG,XB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      REAL, INTENT (IN) :: XR,XG,XB
    END SUBROUTINE SETIND

    SUBROUTINE SETRES(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE SETRES

    SUBROUTINE SHDEUR(INAT,ISHD,ICLR,N)
      IMPLICIT NONE
      INTEGER, DIMENSION (:), INTENT (IN) :: INAT,ISHD,ICLR
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SHDEUR

    SUBROUTINE SHDMAP(CMAP)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMAP
    END SUBROUTINE SHDMAP

    SUBROUTINE SHDMOD(COPT,CTYPE)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CTYPE
    END SUBROUTINE SHDMOD

    SUBROUTINE SHLSUR()
    END SUBROUTINE SHLSUR

    SUBROUTINE SURCLR(ITOP,IBOT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ITOP,IBOT
    END SUBROUTINE SURCLR

    SUBROUTINE SURFCE(XRAY,IXDIM,YRAY,IYDIM,ZMAT)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY,YRAY
      INTEGER, INTENT (IN) :: IXDIM,IYDIM
      REAL, DIMENSION (:,:), INTENT (IN) :: ZMAT
    END SUBROUTINE SURFCE

    SUBROUTINE SURFCP(ZFUN,A1,A2,ASTP,B1,B2,BSTP)
      IMPLICIT NONE
      INTERFACE
         FUNCTION ZFUN(X,Y,IOPT)
           IMPLICIT NONE
           REAL, INTENT (IN) :: X,Y
           INTEGER, INTENT (IN) :: IOPT
           REAL :: ZFUN
         END FUNCTION ZFUN
      END INTERFACE
      REAL, INTENT (IN) :: A1,A2,ASTP,B1,B2,BSTP 
    END SUBROUTINE SURFCP

    SUBROUTINE SURFUN(ZFUN,IXPTS,XDEL,IYPTS,YDEL)
      IMPLICIT NONE
      INTERFACE
         FUNCTION ZFUN(X,Y)
           IMPLICIT NONE
           REAL, INTENT (IN) :: X,Y
           REAL :: ZFUN
         END FUNCTION ZFUN
      END INTERFACE
      INTEGER, INTENT (IN) :: IXPTS,IYPTS
      REAL, INTENT (IN) :: XDEL,YDEL 
    END SUBROUTINE SURFUN

    SUBROUTINE SURMAT(ZMAT,IXDIM,IYDIM,IXP,IYP)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IXDIM,IYDIM,IXP,IYP
      REAL, DIMENSION (:,:), INTENT (IN) :: ZMAT
    END SUBROUTINE SURMAT

    SUBROUTINE SURMSH(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE SURMSH

    SUBROUTINE SURSHD(XRAY,IXDIM,YRAY,IYDIM,ZMAT)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY,YRAY
      INTEGER, INTENT (IN) :: IXDIM,IYDIM
      REAL, DIMENSION (:,:), INTENT (IN) :: ZMAT
    END SUBROUTINE SURSHD

    SUBROUTINE SURSZE(AX,EX,AY,EY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: AX,EX,AY,EY
    END SUBROUTINE SURSZE

    SUBROUTINE SURVIS(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE SURVIS

    SUBROUTINE USRPIE(ISEG,XDAT,XPER,NRAD,NOFF,ANGLE,NVBOX,IDRW,IANN)
      IMPLICIT NONE
      INTEGER, INTENT (IN OUT) :: ISEG,NRAD,NOFF,NVBOX,IDRW,IANN
      REAL,    INTENT (IN OUT) :: XDAT,XPER,ANGLE
    END SUBROUTINE USRPIE

    SUBROUTINE VANG3D(A)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A
    END SUBROUTINE VANG3D

    SUBROUTINE VCLP3D(X1,X2)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X1,X2
    END SUBROUTINE VCLP3D

    SUBROUTINE VECTR3(X1,Y1,Z1,X2,Y2,Z2,IVEC)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X1,Y1,Z1,X2,Y2,Z2
      INTEGER, INTENT (IN) :: IVEC
    END SUBROUTINE VECTR3

    SUBROUTINE VFOC3D(X,Y,Z,CVIEW)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      CHARACTER (LEN = *), INTENT (IN) :: CVIEW
    END SUBROUTINE VFOC3D

    SUBROUTINE VIEW3D(X,Y,Z,CVIEW)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      CHARACTER (LEN = *), INTENT (IN) :: CVIEW
    END SUBROUTINE VIEW3D

    SUBROUTINE VKXBAR(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE VKXBAR

    SUBROUTINE VKYBAR(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE VKYBAR

    SUBROUTINE VUP3D(A)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A
    END SUBROUTINE VUP3D

    SUBROUTINE WIDBAR(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE WIDBAR

    SUBROUTINE WORLD()
    END SUBROUTINE WORLD

    FUNCTION X2DPOS(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
      REAL :: X2DPOS
    END FUNCTION X2DPOS

    FUNCTION X3DPOS(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL :: X3DPOS
    END FUNCTION X3DPOS

    FUNCTION X3DREL(X,Y,Z) 
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL :: X3DREL
    END FUNCTION X3DREL

    SUBROUTINE XAXMAP(A,B,OR,STEP,CSTR,IT,IY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      INTEGER, INTENT (IN) :: IT,IY
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE XAXMAP

    FUNCTION Y2DPOS(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
      REAL :: Y2DPOS
    END FUNCTION Y2DPOS

    FUNCTION Y3DPOS(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL :: Y3DPOS
    END FUNCTION Y3DPOS

    FUNCTION Y3DREL(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL :: Y3DREL
    END FUNCTION Y3DREL

    SUBROUTINE YAXMAP(A,B,OR,STEP,CSTR,IT,IX)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      INTEGER, INTENT (IN) :: IT,IX
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE YAXMAP

    FUNCTION Z3DPOS(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL :: Z3DPOS
    END FUNCTION Z3DPOS

    SUBROUTINE ZAXIS(A,B,OR,STEP,IL,CSTR,IT,IDIR,IX,IY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      INTEGER, INTENT (IN) :: IL,IT,IDIR,IX,IY
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE ZAXIS

    SUBROUTINE ZAXLG(A,B,OR,STEP,IL,CSTR,IT,IDIR,IX,IY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,B,OR,STEP
      INTEGER, INTENT (IN) :: IL,IT,IDIR,IX,IY
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE ZAXLG

    SUBROUTINE ZBFLIN(X1,Y1,Z1,X2,Y2,Z2)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X1,Y1,Z1,X2,Y2,Z2
    END SUBROUTINE ZBFLIN

    SUBROUTINE ZBFTRI(X,Y,Z,IC)
      IMPLICIT NONE
      REAL, DIMENSION (3), INTENT (IN) :: X,Y,Z
      INTEGER, DIMENSION (3), INTENT (IN) :: IC
    END SUBROUTINE ZBFTRI

    SUBROUTINE ZSCALE(A,E)
      IMPLICIT NONE
      REAL, INTENT (IN) :: A,E
    END SUBROUTINE ZSCALE

! ================================= ZBFINI ==============================

    SUBROUTINE ZBFINI(IRET)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: IRET
    END SUBROUTINE ZBFINI

    SUBROUTINE ZBFFIN()
    END SUBROUTINE ZBFFIN
        
! ================================= GOTHIC ==============================

    SUBROUTINE GOTHIC()
    END SUBROUTINE GOTHIC

! ================================= GRAF ================================

    SUBROUTINE GRAF(AX,EX,ORX,STEPX,AY,EY,ORY,STEPY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: AX,EX,ORX,STEPX,AY,EY,ORY,STEPY
    END SUBROUTINE GRAF

    SUBROUTINE ENDGRF()
    END SUBROUTINE ENDGRF

    FUNCTION NXPOSN(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER :: NXPOSN
    END FUNCTION NXPOSN

    FUNCTION NYPOSN(Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: Y
      INTEGER :: NYPOSN
    END FUNCTION NYPOSN

    SUBROUTINE RLCONN(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE RLCONN

    SUBROUTINE RLSTRT(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE RLSTRT

    SUBROUTINE TRFREL(X,Y,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN OUT) :: X,Y
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE TRFREL

! ================================= GRAF3 ===============================

    SUBROUTINE GRAF3(AX,EX,ORX,STEPX,AY,EY,ORY,STEPY,AZ,EZ,ORZ,STEPZ)
      IMPLICIT NONE
      REAL, INTENT (IN) :: AX,EX,ORX,STEPX,AY,EY,ORY,STEPY,AZ,EZ,ORZ,STEPZ
    END SUBROUTINE GRAF3

    FUNCTION NZPOSN(Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: Z
      INTEGER :: NZPOSN
    END FUNCTION NZPOSN

! ================================= GRAF3D ==============================

    SUBROUTINE GRAF3D(AX,EX,ORX,STEPX,AY,EY,ORY,STEPY,AZ,EZ,ORZ,STEPZ)
      IMPLICIT NONE
      REAL, INTENT (IN) :: AX,EX,ORX,STEPX,AY,EY,ORY,STEPY,AZ,EZ,ORZ,STEPZ
    END SUBROUTINE GRAF3D

    SUBROUTINE ABS3PT(X,Y,Z,XP,YP)
      IMPLICIT NONE
      REAL, INTENT (IN)  :: X,Y,Z
      REAL, INTENT (OUT) :: XP,YP
    END SUBROUTINE ABS3PT

    SUBROUTINE CONN3D(X2,Y2,Z2)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X2,Y2,Z2
    END SUBROUTINE CONN3D

    SUBROUTINE GRFFIN()
      IMPLICIT NONE
    END SUBROUTINE GRFFIN

    SUBROUTINE GRFINI(X1,Y1,Z1,X2,Y2,Z2,X3,Y3,Z3)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X1,Y1,Z1,X2,Y2,Z2,X3,Y3,Z3
    END SUBROUTINE GRFINI

    SUBROUTINE POS3PT(X,Y,Z,XP,YP,ZP)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL, INTENT (OUT) :: XP,YP,ZP
    END SUBROUTINE POS3PT

    SUBROUTINE STRT3D(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
    END SUBROUTINE STRT3D

! ================================= GRAFMP ==============================

    SUBROUTINE GRAFMP(AX,EX,ORX,STEPX,AY,EY,ORY,STEPY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: AX,EX,ORX,STEPX,AY,EY,ORY,STEPY
    END SUBROUTINE GRAFMP

    SUBROUTINE POS2PT(X,Y,XP,YP)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
      REAL, INTENT (OUT) :: XP,YP
    END SUBROUTINE POS2PT

! ================================= LEGEND ==============================

    FUNCTION NXLEGN(CBF)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CBF
      INTEGER :: NXLEGN
    END FUNCTION NXLEGN

    FUNCTION NYLEGN(CBF)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CBF
      INTEGER :: NYLEGN
    END FUNCTION NYLEGN

    SUBROUTINE LEGEND(CBF,NCOR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CBF
      INTEGER, INTENT (IN) :: NCOR
    END SUBROUTINE LEGEND

    SUBROUTINE LEGINI(CBF,NLIN,NMAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN OUT) :: CBF
      INTEGER, INTENT (IN) :: NLIN, NMAX
    END SUBROUTINE LEGINI

    SUBROUTINE LEGLIN(CBF,CSTR,N)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN OUT) :: CBF
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE LEGLIN

! ================================= MESSAG ==============================

    SUBROUTINE MESSAG(CSTR,NX,NY)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: NX,NY
    END SUBROUTINE MESSAG

    SUBROUTINE ANGLE(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE ANGLE

    SUBROUTINE HEIGHT(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE HEIGHT

    FUNCTION NLMESS(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER :: NLMESS
    END FUNCTION NLMESS

! ================================= LINE ==============================

    SUBROUTINE LINE(NX,NY,NU,NV)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NU,NV
    END SUBROUTINE LINE

    SUBROUTINE AREAF(IX,IY,N)
      IMPLICIT NONE
      INTEGER, DIMENSION (:), INTENT (IN) :: IX,IY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE AREAF

    SUBROUTINE LINTYP(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE LINTYP

    FUNCTION X3DABS(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL :: X3DABS
    END FUNCTION X3DABS

    SUBROUTINE XDRAW(XX,YY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: XX,YY
    END SUBROUTINE XDRAW

    SUBROUTINE XMOVE(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE XMOVE

    FUNCTION Y3DABS(X,Y,Z)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y,Z
      REAL :: Y3DABS
    END FUNCTION Y3DABS

! ================================MPAEPL ==============================

    SUBROUTINE MPAEPL(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE MPAEPL

    SUBROUTINE MPLCLR(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE MPLCLR

    SUBROUTINE MPLANG(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE MPLANG

    SUBROUTINE MPLPOS(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE MPLPOS

    SUBROUTINE MPLCOR(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE MPLCOR

    SUBROUTINE MPLSIZ(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE MPLSIZ

    SUBROUTINE NOFILL()
    END SUBROUTINE NOFILL

! =============================== PIEGRF ==============================

    SUBROUTINE PIEGRF(CSTR,NLIN,XRAY,N)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: NLIN,N
      REAL, DIMENSION (:), INTENT (IN) :: XRAY  
    END SUBROUTINE PIEGRF

! ========================== RESALL ==================================

    SUBROUTINE RESALL()
    END SUBROUTINE RESALL

    SUBROUTINE GETPLV(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETPLV

    SUBROUTINE GETVER(XVER)
      IMPLICIT NONE
      REAL, INTENT (OUT) :: XVER
    END SUBROUTINE GETVER

    SUBROUTINE RESATT()
    END SUBROUTINE RESATT

    SUBROUTINE REVSCR()
    END SUBROUTINE REVSCR

    SUBROUTINE SETVLT(CTAB)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CTAB
    END SUBROUTINE SETVLT

    SUBROUTINE SHDPAT(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE SHDPAT

    SUBROUTINE SHIELD(CBLNK,CMODE)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CBLNK,CMODE
    END SUBROUTINE SHIELD

    SUBROUTINE SHLRCT(NX,NY,NW,NH,ANG)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
      REAL,    INTENT (IN) :: ANG
    END SUBROUTINE SHLRCT

    SUBROUTINE SHLREC(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
    END SUBROUTINE SHLREC

    SUBROUTINE SHLRES(NN)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NN
    END SUBROUTINE SHLRES

    SUBROUTINE SORTR2(X,Y,N,COPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
      REAL, DIMENSION (:), INTENT (IN OUT) :: X,Y
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE SORTR2

! ===================================================================

  END INTERFACE
END MODULE DISLIN
